<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Recibo extends Model
{
    use SoftDeletes;
    protected $table = "recibo";
    protected $fillable = [
        'numero',
        'anulado',
        'monto',
        'dni',
        'tipo_recibo',
        'nombre_cliente',
        'id_cliente',
        'id_turno',
        'id_tesorero',
        'cancelado',
        'metodo_pago'];

    function detalles() {
        return $this->hasMany(ReciboDetalle::class,'id_recibo', 'id');
    }

    function usuario() {
        return $this->belongsTo(User::class,'id_cliente','id')->select('id','username');
    }

    function turno() {
        return $this->belongsTo(TurnoCaja::class,'id_turno','id')->select('id','turno');
    }
}
